Subject: bug#33170: 27.0.50; interactive spec with cl-defgeneric/method

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Oct 2018 17:49:13 -0400

>> > I don't think generic functions can be interactive.  At least it is
>> > not documented anywhere that they can be.
>> Ah, that's unfortunate. Perhaps this limitation should be documented
>> somewhere?
> If Stefan (CC'ed) says it's a limitation and not a bug, I will
> document it.

AFAIC it's a limitation.  We could support interactive specs, but I'm
really not convinced it's worth the trouble.  If using 2 functions (one
generic and one interactive, which calls the generic one) is really
annoying for some reason, I guess you could use

    (put '<GENERIC> 'interactive-form <FORM>)

but I think this property should be deprecated, so don't tell anyone
(especially don't tell me) that I even mentioned it to you,

        Stefan